# Create

Launch stage: GA

`POST /api/2.0/mlflow/logged-models`

Create a logged model.

API scopes: mlflow

## Request body

- `experiment_id` (string, optional)
  The ID of the experiment that owns the model.
- `name` (string, optional)
  The name of the model (optional). If not specified one will be generated.
- `model_type` (string, optional)
  The type of the model, such as ``"Agent"``, ``"Classifier"``, ``"LLM"``.
- `source_run_id` (string, optional)
  The ID of the run that created the model.
- `params` (array of object, optional)
  Parameters attached to the model.
  - `key` (string, optional)
    The key identifying this param.
  - `value` (string, optional)
    The value of this param.
- `tags` (array of object, optional)
  Tags attached to the model.
  - `key` (string, optional)
    The tag key.
  - `value` (string, optional)
    The tag value.

## Returns

- `model` (object, optional)
  The newly created logged model.
  - `info` (object, optional)
    The logged model attributes such as model ID, status, tags, etc.
    - `model_id` (string, optional)
      The unique identifier for the logged model.
    - `experiment_id` (string, optional)
      The ID of the experiment that owns the model.
    - `name` (string, optional)
      The name of the model.
    - `creation_timestamp_ms` (int64, optional)
      The timestamp when the model was created in milliseconds since the UNIX epoch.
    - `last_updated_timestamp_ms` (int64, optional)
      The timestamp when the model was last updated in milliseconds since the UNIX epoch.
    - `artifact_uri` (string, optional)
      The URI of the directory where model artifacts are stored.
    - `status` (string, optional)
      The status of whether or not the model is ready for use.
      Possible values: `LOGGED_MODEL_STATUS_UNSPECIFIED`, `LOGGED_MODEL_PENDING`, `LOGGED_MODEL_READY`, `LOGGED_MODEL_UPLOAD_FAILED`
    - `creator_id` (int64, optional)
      The ID of the user or principal that created the model.
    - `model_type` (string, optional)
      The type of model, such as ``"Agent"``, ``"Classifier"``, ``"LLM"``.
    - `source_run_id` (string, optional)
      The ID of the run that created the model.
    - `status_message` (string, optional)
      Details on the current model status.
    - `tags` (array of object, optional)
      Mutable string key-value pairs set on the model.
      - `key` (string, optional)
        The tag key.
      - `value` (string, optional)
        The tag value.
  - `data` (object, optional)
    The params and metrics attached to the logged model.
    - `params` (array of object, optional)
      Immutable string key-value pairs of the model.
      - `key` (string, optional)
        The key identifying this param.
      - `value` (string, optional)
        The value of this param.
    - `metrics` (array of object, optional)
      Performance metrics linked to the model.
      - `key` (string, optional)
        The key identifying the metric.
      - `value` (double, optional)
        The value of the metric.
      - `timestamp` (int64, optional)
        The timestamp at which the metric was recorded.
      - `step` (int64, optional)
        The step at which the metric was logged.
        Default: `0`
      - `dataset_name` (string, optional)
        The name of the dataset associated with the metric.
         E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
      - `dataset_digest` (string, optional)
        The dataset digest of the dataset associated with the metric,
         e.g. an md5 hash of the dataset that uniquely identifies it
         within datasets of the same name.
      - `model_id` (string, optional)
        The ID of the logged model or registered model version associated with
         the metric, if applicable.
      - `run_id` (string, optional)
        The ID of the run containing the metric.

## Response

```json
{
  "model": {
    "info": {},
    "data": {}
  }
}
```

